Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
SOAPRequestProperties Class Reference
Inheritance diagram for SOAPRequestProperties:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (request_url, request_content, soap_action, soap_namespace, soap_version, content_type, is_encode, is_wiredump, request_header, authenticate)
| Constructor, with parameters. More...
| Set (request_url, request_content, soap_action, soap_namespace, soap_version, content_type, is_encode, is_wiredump, request_header, authenticate)
| Set values. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| authenticate
| An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.
| content_type
| Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
| is_encode
| Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
| is_wiredump
| Whether to output debug information for SOAP requests and responses, defaults to true.
| request_content
| An object that specifies the remote procedure name and parameters or the XML message to send.
| request_header
| An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body.
| request_url
| The URL for a SOAP HTTP endpoint.
| soap_action
| The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
| soap_namespace
| A namespace for the message schema when the request does not use the SOAP Encoding. More...
| soap_version
| The version of the SOAP protocol to use when generating the XML Message.

## Detailed Description

This class represents SOAP request properties.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

SOAPRequestProperties.constructor | ( | request_url | ,
|  | request_content | ,
|  | soap_action | ,
|  | soap_namespace | ,
|  | soap_version | ,
|  | content_type | ,
|  | is_encode | ,
|  | is_wiredump | ,
|  | request_header | ,
|  | authenticate |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | request_url | The URL for a SOAP HTTP endpoint.
  [in] | request_content | An object that specifies the remote procedure name and parameters or the XML message to send.
  [in] | soap_action | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
  [in] | soap_namespace | A namespace for the message schema when the request does not use the SOAP Encoding.
  [in] | soap_version | The version of the SOAP protocol to use when generating the XML Message.
  [in] | content_type | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
  [in] | is_encode | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
  [in] | is_wiredump | Whether to output debug information for SOAP requests and responses, defaults to true.
  [in] | request_header | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body
  [in] | authenticate | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

## ◆ Set()

SOAPRequestProperties.Set | ( | request_url | ,
|  | request_content | ,
|  | soap_action | ,
|  | soap_namespace | ,
|  | soap_version | ,
|  | content_type | ,
|  | is_encode | ,
|  | is_wiredump | ,
|  | request_header | ,
|  | authenticate |
| ) |  |

Set values.

Parameters

  [in] | request_url | The URL for a SOAP HTTP endpoint.
  [in] | request_content | An object that specifies the remote procedure name and parameters or the XML message to send.
  [in] | soap_action | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
  [in] | soap_namespace | A namespace for the message schema when the request does not use the SOAP Encoding.
  [in] | soap_version | The version of the SOAP protocol to use when generating the XML Message.
  [in] | content_type | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
  [in] | is_encode | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
  [in] | is_wiredump | Whether to output debug information for SOAP requests and responses, defaults to true.
  [in] | request_header | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body
  [in] | authenticate | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Data Documentation

## ◆ soap_namespace

SOAPRequestProperties.soap_namespace

A namespace for the message schema when the request does not use the SOAP Encoding.

The default is to omit the schema declaration.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.